// Java

package edu.washington.cac.myuw.util;

import java.io.*;
import java.util.*;
import java.lang.*;

/** Get the current time in various printable formats.

  @author Fang Lin
  @version 1.2
 */
//%%%% This class desperately needs to use java.util.DateFormat 
public class CurrTime {
  // get the current time in the format: Wed Nov 10 1999
  public static String getCaleTime() {
    Calendar cal = new GregorianCalendar();
    return cal.getTime().toString();
  }

  // get the current time in UTC milliseconds.
  public static long getUTC() {
    //System.err.println(System.currentTimeMillis());
    return System.currentTimeMillis();
  }

  // get the current time in the format: Wed Nov 10 1999
  public static String getTime() {
    StringBuffer now = new StringBuffer();

    String time = new GregorianCalendar().getTime().toString();
    //System.err.println(time);
    int i=1,j=0;
    for (int k=0; i<time.length()&&k<3; i=j+1, k++) {
      j = time.indexOf(' ',i);
    }
    now.append(time.substring(0,j));
    i=j+1;
    for (int k=0; i<time.length()&&k<2; i=j+1, k++) {
      j = time.indexOf(' ',i);
    }
    now.append(time.substring(j));
    //System.err.println(now);
    return now.toString();
  }

  // get the current time in the format YYYY/MM/DD HH:MM:SS
  public static String getCompTime() {

    StringBuffer currT = new StringBuffer();

    Calendar now = new GregorianCalendar();

    currT.append(now.get(Calendar.YEAR));
    currT.append("/");
    // possible months values are 0 to 11, so add one first
    int month = now.get(Calendar.MONTH) + 1;
    if (month <=9) {
      currT.append("0");
    }
    currT.append(month);
    currT.append("/");
    int  day = now.get(Calendar.DAY_OF_MONTH);
    if ( day<=9 ) {
      currT.append("0");
    }
    currT.append(day);
    currT.append(" ");
    int hour = now.get(Calendar.HOUR_OF_DAY);
    if ( hour<=9 ) {
      currT.append("0");
    }
    currT.append(hour);

    currT.append(":");
    int min = now.get(Calendar.MINUTE);
    if ( min<=9 ) {
      currT.append("0");
    }
    currT.append(min);

    currT.append(":");
    int sec = now.get(Calendar.SECOND);
    if ( sec<=9 ) {
      currT.append("0");
    }
    currT.append(sec);

    currT.append(":");
    int msec = now.get(Calendar.MILLISECOND);
    if (msec <= 9) {
      currT.append("00");
    } else if (msec <= 99) {
      currT.append("0");
    }
    currT.append(msec);

    //System.err.println(now.getMinimum(Calendar.HOUR_OF_DAY)); =0
    //System.err.println(now.getMinimum(Calendar.MINUTE)); =0
    //System.err.println(now.getMinimum(Calendar.SECOND)); =0
    //System.err.println(currT);
    return currT.toString();

  }

 public static void main(String args[]){
   CurrTime.getCompTime();
   CurrTime.getTime();
   CurrTime.getCaleTime();
   CurrTime.getUTC();
System.err.println(TimeZone.getDefault());
 }
}
