package pubevents.menu;

// import java.io.BufferedReader;
import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import pubevents.AdminServlet;
import pubevents.PEDefaults;
import pubevents.util.PrintWebPage;

/** admin. menu to modify other people's public events or add entries
       to authorization table.
  
  @author Leman Chung
  @version 2.0
 */
public class AdminMenu extends AdminServlet 
{
  public void performAction(HttpServletRequest req, HttpServletResponse res)
         throws IOException {

    String templateFile = PEDefaults.ADMIN_MENU;

    PrintWriter out = res.getWriter();

        // read and print out menu
    new PrintWebPage(templateFile, out);
    out.close();
  }
}
