// java

package pubevents.util;

import edu.washington.cac.calendar.CalProperties;
import edu.washington.cac.myuw.servlet.MessageMaker;

import pubevents.PEDefaults;

/** Simple wrapper for the MessageMaker class
    @author Leman Chung, Greg Barnes
    @version 1.1
  */
public class PEMessageMaker extends MessageMaker 
{
  public PEMessageMaker() 
  {
    super(PEDefaults.APP_NAME, PEDefaults.LOGIN_URL,
          PEDefaults.MENU_URL, PEDefaults.EMAIL,
          CalProperties.cookiesHelpUrl());
  }
}
