package edu.washington.cac.myuw.servlet.session;

/** Exception that indicates we tried to access a bogus UWSession
 @author Greg Barnes
 @version 3.0 
*/

public class InvalidSession extends IllegalStateException 
{
  /** Create an InvalidSession */
  public InvalidSession() 
  { 
    super(); 
  }

  /** Create an InvalidSession with an explanatory message
    @param s The explanatory message
   */
  public InvalidSession(String s) 
  { 
    super(s); 
  }
}

