// java

package uwcal.out.forms;

import edu.washington.cac.calendar.CalParameter;
import edu.washington.cac.calendar.MyCalendar;

import uwcal.out.Page;

public class AddLocationForm extends LocationForm 
{
  /** Create a new instance
    @param page Page this form is a part of
   */
  public AddLocationForm(Page page) 
  {
    super(page, null);
  }

  protected String formFunction() 
  {
    return CalParameter.ADDLOCATION_FUNC;
  }

  protected String titleText() 
  {
    return FormsDisplayText.ADD_LOCATION_TITLE;
  }

  protected String submitButtonText() 
  {
    return FormsDisplayText.ADD_LOCATION;
  }
}
